#
# Licensed Materials - Property of IBM
# Rational ClearQuest
# (C) Copyright IBM Corp. 2008, 2009.  All Rights Reserved
# US Government Users Restricted Rights
# Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
#

import sys, java

#-----------------------------------------------------------------
# Deploy Solr
#-----------------------------------------------------------------
def deploySolr(appLocation, serverName, contextRoot):

   global AdminApp
   global AdminConfig

   print "deploySolr, running with: "
   print "	Application Location: " + appLocation
   print "	Server name: " + serverName

   appArgs = "[-server " + serverName + " -contextroot " + contextRoot + " -appname apache-solr-1.2.0 -MapWebModToVH [[apache-solr-1.2.0.war apache-solr-1.2.0.war,WEB-INF/web.xml default_host]]]"

   AdminApp.install(appLocation, appArgs)
     
   AdminConfig.save()
   #the server should be restarted before trying to use the datasource


#-----------------------------------------------------------------
# Main
#-----------------------------------------------------------------
if (len(sys.argv) != 3):
   print "deploySolr: this script requires 3 parameters: " 
   print "	  1) the name of the node on which the application will be deployed,"
   print "	  2) the name of the server under which to create resources,"
   print "	  3) The contextRoot,"

   print ""
   print "e.g.:     deploySolr C:/myApps/myApp1.war server1 contextRoot"  
else:
   deploySolr(sys.argv[0], sys.argv[1], sys.argv[2])